/**
 * 
 */
package com.house365.tags;

import java.util.List;

import com.house365.tags.beans.DisabledFlag;

/**
 * 失效标识下拉列表标签
 * 
 * @author duhui
 * 
 */
public class DisabledFlagSelectTag extends
        AbstractEnumSelectTag<DisabledFlag> {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    @Override
    protected String getDefaultName() {
        return "disabled";
    }

    @Override
    protected List<DisabledFlag> getList() {
        return DisabledFlag.list();
    }

    @Override
    protected String getOptionLabel(DisabledFlag obj) {
        return obj.getShowName();
    }

    @Override
    protected Object getOptionValue(DisabledFlag obj) {
        return obj.getId();
    }
}
